package org.linlinjava.jz.db.dao;


import org.apache.ibatis.annotations.Param;
import org.linlinjava.jz.db.domain.JzBookOrder;

import java.util.List;

public interface JzBookOrderMapper {
    int deleteByPrimaryKey(Long id);

    int insert(JzBookOrder record);

    int insertSelective(JzBookOrder record);

    JzBookOrder selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(JzBookOrder record);

    int updateByPrimaryKey(JzBookOrder record);

    List<JzBookOrder> querySelective(JzBookOrder jzBookOrder);

    List<JzBookOrder> selectByBookOrderNo(Integer bookOrderNo);

    List<JzBookOrder> selectByPaymentNo(String paymentNo);

    List<JzBookOrder> selectByCustomerId(Integer customerId);
}